
package jp.riken.brain.ni.samuraigraph.base;

import java.awt.Color;

/**
 * 
 *
 */
public interface SGIWindowDialogObserver extends SGIPropertyDialogObserver
{

	public float getPaperWidth();
	
	public float getPaperHeight();
	
	public float getGridLineInterval();
	
	public float getGridLineWidth();
	
	public boolean isGridLineVisible();

	public Color getPaperColor();

	public Color getGridLineColor();


	public boolean setPaperWidth( final float value );
	
	public boolean setPaperHeight( final float value );
	
	public boolean setGridLineInterval( final float value );

	public boolean setGridLineWidth( final float value );
	
	public boolean setGridLineVisible( final boolean b );

	public boolean setPaperColor( final Color cl );
	
	public boolean setGridLineColor( final Color cl );

}

